## indi-nightscape 1.0.6+20221222181314

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_nightscape CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(Threads REQUIRED)
FIND_PACKAGE(D2XX)
FIND_PACKAGE(USB1 REQUIRED)
FIND_PACKAGE(FTDI1 REQUIRED)

IF (D2XX_FOUND)
set(HAVE_D2XX 1)
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_D2XX")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_D2XX")

ENDIF()

IF (APPLE)
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_DARWIN_C_SOURCE")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DARWIN_C_SOURCE")
ENDIF()


set(INDI_NIGHTSCAPE_VERSION_MAJOR 1)
set(INDI_NIGHTSCAPE_VERSION_MINOR 0)

#set (HAVE_SERIAL 1)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_nightscape.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_nightscape.xml )


include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${USB1_INCLUDE_DIRS})
include_directories( ${FTDI1_INCLUDE_DIRS})

include(CMakeCommon)


SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wno-error")

SET(indinightscape_CORE
        ${CMAKE_CURRENT_SOURCE_DIR}/nschannel.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/nschannel-u.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/nsmsg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/nsdownload.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/nsstatus.cpp)

IF(HAVE_D2XX) 
	SET(indinightscape_CORE
	     ${indinightscape_CORE}
       ${CMAKE_CURRENT_SOURCE_DIR}/nschannel-ftd.cpp)
ENDIF()

IF(HAVE_SERIAL)
	SET(indinightscape_CORE
	     ${indinightscape_CORE}
        ${CMAKE_CURRENT_SOURCE_DIR}/nschannel-ser.cpp)
  
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_SERIAL")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_SERIAL")

ENDIF()

SET(indinightscape_SRCS
        ${indinightscape_CORE}
        ${CMAKE_CURRENT_SOURCE_DIR}/nightscape.cpp)

SET(nstest_SRCS
        ${indinightscape_CORE}
        ${CMAKE_CURRENT_SOURCE_DIR}/nstest-main.cpp)


add_executable(indi_nightscape_ccd ${indinightscape_SRCS})

add_executable(nstest ${nstest_SRCS})

IF(HAVE_D2XX)
	target_link_libraries(indi_nightscape_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${D2XX_LIBRARIES} ${FTDI1_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

	target_link_libraries(nstest ${D2XX_LIBRARIES} ${FTDI1_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ELSE()
	target_link_libraries(indi_nightscape_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${FTDI1_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

	target_link_libraries(nstest ${FTDI1_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ENDIF()

install(TARGETS indi_nightscape_ccd RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_nightscape.xml DESTINATION ${INDI_DATA_DIR})

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-nightscape.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
endif()

## indi-nightscape 1.0.6+20220129131520

=== debian/changelog ===
indi-nightscape (1.0.6+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:50:24 +0000

indi-nightscape (1.0.6-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 17:50:50 +0100

indi-nightscape (1.0.6-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Dec 2021 17:50:50 +0000

=== debian/control ===
Source: indi-nightscape
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libftdi1-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-nightscape
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-nightscape.git

Package: indi-nightscape
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libftdi1
Description: INDI driver for Celestron Nightscape 8300
 This package contains the INDI driver for the Celestron Nightscape 8300
 line of CCDs.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-nightscape 1.0.6+20220611130732

=== debian/changelog ===
indi-nightscape (1.0.6+20220611130732-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:07:45 +0000

## indi-nightscape 1.0.6+20221222181314

=== debian/changelog ===
indi-nightscape (1.0.6+20221222181314-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113028)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:33:48 +0200

indi-nightscape (1.0.6+20221222181314-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058854)
    - update dependencies for /usr-merge
    - Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Dec 2023 13:27:52 +0100

indi-nightscape (1.0.6+20221222181314-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0.6

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 18:14:29 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	, zlib1g-dev
 	, libnova-dev
 	, libftdi1-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
